# HG changeset patch
# User Christophe Capon <christophe.capon@vilogia.fr>
# Date 1270092767 -7200
# Branch 5.3.0
# Node ID fbe6ac37fd98463f7b3d8ab2a71e57d7a42be8ab
# Parent  9aaeeb2258c561b39452c81658948d090448f3b5
Added support for expired document

diff -r 9aaeeb2258c5 -r fbe6ac37fd98 nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsType.java
--- a/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsType.java	Thu Apr 01 05:32:14 2010 +0200
+++ b/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsType.java	Thu Apr 01 05:32:47 2010 +0200
@@ -14,6 +14,10 @@
 
     public static final String PROP_INCLUDE_FUTURE_TASKS = "includeFutureTasks";
 
+    public static final String PROP_INCLUDE_EXPIRED_DOCUMENTS_DELAY = "includeExpiredDocumentsDelay";
+
+    public static final String PROP_INCLUDE_EXPIRED_DOCUMENTS = "includeExpiredDocuments";
+
     public static final String PROP_SUMMARY_FREQUENCY = "summaryFrequency";
 
     public static final String PROP_NOTIFICATION_POLICY = "notificationPolicy";
diff -r 9aaeeb2258c5 -r fbe6ac37fd98 nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java
--- a/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java	Thu Apr 01 05:32:14 2010 +0200
+++ b/nuxeo-platform-usersettings-alert-types/src/main/java/org/nuxeo/em/usersettings/alert/types/AlertSettingsWrapper.java	Thu Apr 01 05:32:47 2010 +0200
@@ -93,4 +93,28 @@
         return (String) doc.getProperty(AlertSettingsType.SCHEMA,
                 AlertSettingsType.PROP_ALERT_CHANNEL);
     }
+
+    public void setIncludeExpiredDocuments(Boolean includeExpiredDocuments)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS, includeExpiredDocuments);
+    }
+
+    public Boolean getIncludeExpiredDocuments() throws ClientException {
+        return (Boolean) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS);
+    }
+
+    public void setIncludeExpiredDocumentsDelay(Long includeExpiredDocumentsDelay)
+            throws ClientException {
+        doc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS_DELAY,
+                includeExpiredDocumentsDelay);
+    }
+
+    public Long getIncludeExpiredDocumentsDelay() throws ClientException {
+        return (Long) doc.getProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS_DELAY);
+    }
+
 }
diff -r 9aaeeb2258c5 -r fbe6ac37fd98 nuxeo-platform-usersettings-alert-types/src/main/resources/schemas/AlertSettings.xsd
--- a/nuxeo-platform-usersettings-alert-types/src/main/resources/schemas/AlertSettings.xsd	Thu Apr 01 05:32:14 2010 +0200
+++ b/nuxeo-platform-usersettings-alert-types/src/main/resources/schemas/AlertSettings.xsd	Thu Apr 01 05:32:47 2010 +0200
@@ -20,4 +20,9 @@
 	<!-- Include tasks without due date in the summary mail -->	
 	<xs:element name="includeTasksWithoutDueDate" type="xs:boolean" default="true" />
 
+	<!-- Include future tasks in the summary mail, depending on the specified delay  -->
+	<xs:element name="includeExpiredDocuments" type="xs:boolean" default="false" />
+	<xs:element name="includeExpiredDocumentsDelay" type="xs:integer" default="7" />
+
+
 </xs:schema>
diff -r 9aaeeb2258c5 -r fbe6ac37fd98 nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java
--- a/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java	Thu Apr 01 05:32:14 2010 +0200
+++ b/nuxeo-platform-usersettings-alert-types/src/test/java/com/nuxeo/ecm/alertsettings/types/TestAlertSettings.java	Thu Apr 01 05:32:47 2010 +0200
@@ -110,6 +110,8 @@
         assertEquals(TEST_USERNAME1, w.getUser());
         assertFalse(w.getIncludeFutureTasks());
         assertTrue(20L == w.getIncludeFutureTasksDelay());
+        assertTrue(w.getIncludeExpiredDocuments());
+        assertTrue(30L == w.getIncludeExpiredDocumentsDelay());
         assertFalse(w.getIncludeTasksWithoutDueDate());
         assertEquals(AlertSettingsType.NOTIFICATION_POLICY_BOTH,
                 w.getNotificationPolicy());
@@ -136,6 +138,10 @@
         testDoc.setProperty(AlertSettingsType.SCHEMA,
                 AlertSettingsType.PROP_INCLUDE_FUTURE_TASKS_DELAY, 20);
         testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS, true);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
+                AlertSettingsType.PROP_INCLUDE_EXPIRED_DOCUMENTS_DELAY, 30);
+        testDoc.setProperty(AlertSettingsType.SCHEMA,
                 AlertSettingsType.PROP_INCLUDE_TASKS_WITHOUT_DUE_DATE, false);
         testDoc.setProperty(AlertSettingsType.SCHEMA,
                 AlertSettingsType.PROP_NOTIFICATION_POLICY,
